/***(HelpWindow.m)*************************************************************
*H* SciCalc's Help Window class implmentation                 V0.0, 19-JUN-91 *
*C* V0.0 19-JUN-91 Initial version  	    	    	    	    	--MDM *
******************************************************************************/

#import "HelpWindow.h"
#import <appkit/Application.h>
#import <appkit/Window.h>

@implementation HelpWindow

/******************************************************************************
* INSTANCE METHOD: init     	    	    	    	    	    	      *
*   This method creates an instance of a HelpWindow object and then loads the *
* NIB module for the help panel.    	    	    	    	    	      *
******************************************************************************/
- init

{/* BEGIN:-init */
/* Create the parent object */
self = [super init];

/* Load the NIB hierarchy: this also sets the outlet variable IVhelpWindow */
[NXApp loadNibSection:"HelpWindow.nib" owner:self];
return self;
}/* END:-init */



/******************************************************************************
* INSTANCE METHOD: ExposeAndFocus   	    	    	    	    	      *
*   This method displays the  HelpWindow  on  the top of the window stack and *
* gives it the keyboard focus.	    	    	    	    	    	      *
******************************************************************************/
- ExposeAndFocus:sender

{/* BEGIN ExposeAndFocus */
[IVhelpWindow makeKeyAndOrderFront:self];
return self;
}/* END ExposeAndFocus */

@end
