/***(InfoWindow.m)*************************************************************
*H* SciCalc's Info Window class implmentation                 V0.0, 19-JUN-91 *
*C* V0.0 19-JUN-91 Initial version  	    	    	    	    	--MDM *
******************************************************************************/

#import "InfoWindow.h"
#import <appkit/Application.h>
#import <appkit/Window.h>

@implementation InfoWindow

/******************************************************************************
* INSTANCE METHOD: init     	    	    	    	    	    	      *
*   This method creates an instance of a InfoWindow object and then loads the *
* NIB module for the Info panel.    	    	    	    	    	      *
******************************************************************************/
- init

{/* BEGIN:-init */
/* Create the parent object */
self = [super init];

/* Load the NIB hierarchy: this also sets the outlet variable IVinfoWindow */
[NXApp loadNibSection:"InfoWindow.nib" owner:self];
return self;
}/* END:-init */



/******************************************************************************
* INSTANCE METHOD: ExposeAndFocus   	    	    	    	    	      *
*   This method displays the  InfoWindow  on  the top of the window stack and *
* gives it the keyboard focus.	    	    	    	    	    	      *
******************************************************************************/
- ExposeAndFocus:sender

{/* BEGIN ExposeAndFocus */
[IVinfoWindow makeKeyAndOrderFront:self];
return self;
}/* END ExposeAndFocus */

@end
